TREC 2001 VideoTrack: Shot Boundary Task Evaluation: Class comparisonResult

Class | Tree | Deprecated | Index | Help
| Shot Boundary Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class comparisonResult

    java.lang.Object
      |
      +--comparisonResult

public class comparisonResult
extends java.lang.Object

This class represents the result of a comparison between a system result for one video and the reference. used in shot boundary detection task programs of TREC 2001.

Constructor Summary
`comparisonResult(java.lang.String sysId, java.lang.String videoName, int totalFrameCount)` Constructs comparisonResult object with the given parameters.

Method Summary
`void` | `setResults(int refTransCount, int insertedTransCount, int deletedTransCount, java.lang.String cutMatchSection, int cutTransCount, int insertedTransCountCut, int deletedTransCountCut, java.lang.String gradualMatchSection, int insertedTransCountGradual, int deletedTransCountGradual, java.lang.String insertionsSection, java.lang.String deletionsSection)` Given the parameter, this method writes in the file the results.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### comparisonResult

    public comparisonResult(java.lang.String sysId,
                            java.lang.String videoName,
                            int totalFrameCount)

  Constructs comparisonResult object with the given parameters. It creates a directory and a file for the storage of the results.
  Parameters:
    `sysId` - The system ID for the one the comparison's been done.
    `videoName` - The video name.
    `totalFrameCount` - The total frame count in the given video.

Method Detail

### setResults

    public void setResults(int refTransCount,
                           int insertedTransCount,
                           int deletedTransCount,
                           java.lang.String cutMatchSection,
                           int cutTransCount,
                           int insertedTransCountCut,
                           int deletedTransCountCut,
                           java.lang.String gradualMatchSection,
                           int insertedTransCountGradual,
                           int deletedTransCountGradual,
                           java.lang.String insertionsSection,
                           java.lang.String deletionsSection)

  Given the parameter, this method writes in the file the results.
  Parameters:
    `refTransCount` - The transitions count in the reference for the related video.
    `insertedTransCount` - The inserted transitions count for the comparison.
    `deletedTransCount` - The deleted transitions count for the comparison.
    `cutMatchSection` - A ready to write XML formatted section for the CUT matching transition results.
    `cutTransCount` - The CUT transitions count in the reference for the related video.
    `insertedTransCountCut` - The inserted CUT transitions count for the comparison.
    `deletedTransCountCut` - The deleted CUT transitions count for the comparison.
    `gradualMatchSection` - A ready to write XML formatted section for the GRADUAL matching transition results.
    `insertedTransCountGradual` - The inserted GRADUAL transitions count for the comparison.
    `deletedTransCountGradual` - The deleted GRADUAL transitions count for the comparison.
    `insertionsSection` - A ready to write XML formatted section for the insertion results.
    `deletionsSection` - A ready to write XML formatted section for the deletion results.

Class | Tree | Deprecated | Index | Help
| Shot Boundary Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For information over@nist.gov or rtaban@nist.gov